#
# spec file for package perl-CMS-MediaWiki
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-CMS-MediaWiki
Version:        0.8014
Release:        1.1
%define cpan_name CMS-MediaWiki
Summary:        Perl extension for creating, reading and updating MediaWiki pages
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/CMS-MediaWiki/
Source0:        http://www.cpan.org/authors/id/R/RE/RETOH/CMS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(LWP::UserAgent)
Requires:       perl(LWP::UserAgent)
%{perl_requires}

%description
Create or update MediaWiki pages. An update of a MediaWiki page can also be
reduced to a specific page section. You may update many pages with the same
object handle ($mw in the shown example).

You could change the login name between an update. This might be necessary
if you would like to update a public page *and* a protected page by the
WikiSysop user in just one cycle.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.8014
  see /usr/share/doc/packages/perl-CMS-MediaWiki/Changes
  0.8014   13.06.2010
  - Added small enhancement from "ed at sh5.net" to appear things on watch list
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.8014
  see /usr/share/doc/packages/perl-CMS-MediaWiki/Changes
  0.8014   13.06.2010
  - Added small enhancement from "ed at sh5.net" to appear things on watch list
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Jun  2 2008 lrupp@suse.de
- initial version 0.8013
